Loading...
Searching...
No Matches
lime::X< Curve, dataType > Class Template Reference

Base buffer definition for Key Exchange data structure. More...

`#include <lime_crypto_primitives.hpp>`

Inheritance diagram for lime::X< Curve, dataType >:

## Public Member Functions

| X (std::vector< uint8_t >::const_iterator buffer)
| construct from a std::vector<uint8_t>
| X ()
void | assign (std::vector< uint8_t >::const_iterator buffer)
| copy from a std::vector<uint8_t>
Public Member Functions inherited from lime::sBuffer< static_cast< size_t >(Curve::Xsize(dataType))>
| ~sBuffer ()
| zeroise all buffer when done

## Static Public Member Functions

static constexpr size_t | ssize (void)
| provide a static size function to be able to call the function not on an object

## Detailed Description

template<typename Curve, lime::Xtype dataType>
class lime::X< Curve, dataType >

Base buffer definition for Key Exchange data structure.

easy use of array types with correct size

## Constructor & Destructor Documentation

## X() [1/2]

template<typename Curve, lime::Xtype dataType>

lime::X< Curve, dataType >::X | ( | std::vector< uint8_t >::const_iterator | buffer | ) |

inline

construct from a std::vector<uint8_t>

## X() [2/2]

template<typename Curve, lime::Xtype dataType>

lime::X< Curve, dataType >::X | ( |  | ) |

inline

## Member Function Documentation

## assign()

template<typename Curve, lime::Xtype dataType>

void lime::X< Curve, dataType >::assign | ( | std::vector< uint8_t >::const_iterator | buffer | ) |

inline

copy from a std::vector<uint8_t>

## ssize()

template<typename Curve, lime::Xtype dataType>

constexpr size_t lime::X< Curve, dataType >::ssize | ( | void |  | ) |

inline static constexpr

provide a static size function to be able to call the function not on an object

The documentation for this class was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/lime_crypto_primitives.hpp